Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataElementSupport

    java.lang.Object
      ru.biosoft.access.DataElementSupport

All Implemented Interfaces:
  DataElement

Direct Known Subclasses:
  AbstractDataCollection, CellMLModuleType, DataElementRef, Entry, FileDataElement, FunctionInfo, PropertyInfo, SbmlModuleType, SimulationResult, StandardModuleType

public class DataElementSupport
extends java.lang.Object
implements DataElement

Implements DataElement interface by common way.

Version:
  1.0
Author:
  DevelopmentOnTheEdge
To do:
  low Rename to AbstractDataElement or other name.

Constructor Summary
`DataElementSupport(java.lang.String name, DataCollection origin)` Construct data element.

Method Summary
`java.lang.String` | `getName()` Return name of the data element.
`DataCollection` | `getOrigin()` Return origin data collection for this data element.
`static void` | `registerConstructorWithBadEqual(java.lang.Class type, java.lang.String[] constructor)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataElementSupport

    public DataElementSupport(java.lang.String name,
                              DataCollection origin)

  Construct data element.

Parameters:
  `name` - Name of the data element.
  `origin` - Origin data collection.

Method Detail

### getName

    public java.lang.String getName()

  Return name of the data element.

  Specified by:
    `getName` in interface `DataElement`
  Returns:
    Name of the data element.
  To do:
    final specifier needed.

### getOrigin

    public DataCollection getOrigin()

  Return origin data collection for this data element.

  Specified by:
    `getOrigin` in interface `DataElement`
  Returns:
    Origin data collection for this data element.
  See Also:
    `DataCollection`
  To do:
    final specifier needed.

### registerConstructorWithBadEqual

    public static void registerConstructorWithBadEqual(java.lang.Class type,
                                                       java.lang.String[] constructor)
                                                throws java.beans.IntrospectionException

  Throws:
    `java.beans.IntrospectionException`

### toString

    public java.lang.String toString()

  To do:
    LOW Temporary method.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.